class LabLayoutComponentsController < ApplicationController
  def self.set_target_before
    super + [:image]
  end

  model_data_store(LabLayoutComponent, {create: false, read: false, update: false, delete: false, index: false}, {create: false, read: false, update: false, delete: false})

  def image
    if @model.component_image&.attached?
      response.headers["Content-Type"] = @model.component_image.content_type
      @model.component_image.download do |chunk|
        response.stream.write(chunk)
      end
    else
      head :no_content
    end
  end
end
