import * as React from "react";
import {observer} from "mobx-react-lite";
import {CheckboxField, useReadonlyContext} from "@rx-suite/ui";
import {DashboardComponentModel} from "../../../stores/DashboardComponentStore";

export type OptionCheckboxProps = {
    component: DashboardComponentModel,
    label: string,
    name: string,
    optionName: string,
    hintText: string
}

export const OptionCheckbox: React.FunctionComponent<OptionCheckboxProps> = observer(({
                                                                                          component,
                                                                                          label,
                                                                                          name,
                                                                                          optionName,
                                                                                          hintText
                                                                                      }) => {
    const readOnly = useReadonlyContext();
    return <CheckboxField label={label}
                          name={name}
                          checked={!!((component.viewModel.display_options || {})[component.display_type] || {})[optionName]}
                          disabled={readOnly}
                          onChange={component.handleChange}
                          hint={{
                              title: label,
                              text: hintText
                          }}
    />
})
