import * as React from 'react';
import {observer} from "mobx-react-lite";
import {DashboardComponentModel} from "../../../../stores/DashboardComponentStore";
import {CheckboxField, useReadonlyContext} from "@rx-suite/ui";
import {t} from "@lingui/macro";

export type HorizontalCheckboxFieldProps = {
    component: DashboardComponentModel
}

export const HorizontalCheckboxField: React.FunctionComponent<HorizontalCheckboxFieldProps> = observer(({component}) => {
    const readOnly = useReadonlyContext();
    const label = t`Horizontal`;
    return <CheckboxField label={label}
                          name={`display_options.bar.horizontal`}
                          checked={!!((component.viewModel.display_options || {}).bar || {}).horizontal}
                          disabled={readOnly}
                          onChange={component.handleChange}
                          hint={{
                              title: label,
                              text: t`If selected, the bar chart will be rotated 90 degrees`
                          }}
    />

});