import * as React from 'react';
import {observer} from "mobx-react-lite";
import {DashboardComponentModel} from "../../../stores/DashboardComponentStore";
import {Typography} from "@material-ui/core";

export type DashboardComponentTitleProps = {
    component: DashboardComponentModel
}

export const DashboardComponentTitle: React.FunctionComponent<DashboardComponentTitleProps> = observer(({component}) => {
    return (
        <div>
            <Typography variant={'h6'} style={component.typographyTitleStyle}>{component.viewModel.name}</Typography>
        </div>
    );
});
